Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class StructuredSyntaxDocumentFilter.LexerNode

    java.lang.Object
      groovy.ui.text.StructuredSyntaxDocumentFilter.LexerNode

    public final class StructuredSyntaxDocumentFilter.LexerNode

Method Summary
`javax.swing.text.Style` | `getDefaultStyle()`
`boolean` | `isInitialized()` @param buffer
`void` | `parse(java.nio.CharBuffer buffer, int offset, int length)`
`void` | `putChild(java.lang.String regexp, LexerNode node)` @param regexp
`void` | `putChild(java.lang.String[] regexps, LexerNode node)`
`void` | `putStyle(java.lang.String regexp, javax.swing.text.Style style)`
`void` | `putStyle(java.lang.String[] regexps, javax.swing.text.Style style)`
`void` | `removeChild(java.lang.String regexp)`
`void` | `removeStyle(java.lang.String regexp)`
`void` | `removeStyle(java.lang.String[] regexps)`
`void` | `setDefaultStyle(javax.swing.text.Style style)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getDefaultStyle

    public javax.swing.text.Style getDefaultStyle()

### isInitialized

    public boolean isInitialized()

  throws:
    BadLocationException
  Parameters:
    buffer
    offset
    length

### parse

    public void parse(java.nio.CharBuffer buffer, int offset, int length)

### putChild

    public void putChild(java.lang.String regexp, LexerNode node)

  Parameters:
    regexp
    node

### putChild

    public void putChild(java.lang.String[] regexps, LexerNode node)

### putStyle

    public void putStyle(java.lang.String regexp, javax.swing.text.Style style)

### putStyle

    public void putStyle(java.lang.String[] regexps, javax.swing.text.Style style)

### removeChild

    public void removeChild(java.lang.String regexp)

### removeStyle

    public void removeStyle(java.lang.String regexp)

### removeStyle

    public void removeStyle(java.lang.String[] regexps)

### setDefaultStyle

    public void setDefaultStyle(javax.swing.text.Style style)

Groovy Documentation